<@nav.dropdown @onHide={{this.onHide}} @onShow={{this.onShow}} as |currency-dropdown|>
  <currency-dropdown.button @type={{this.application.colorScheme}}>
    {{#unless this.opened}}
      <BsTooltip @delayShow="500" @title={{t "components.app.main-header.language-selector.help"}} />
    {{/unless}}
    {{this.selected}}
  </currency-dropdown.button>

  <currency-dropdown.menu @align="right" as |currency-dropdown-menu|>
    {{#each this.intlConfig.supportedLocales as |locale|}}
      <App::MainHeader::LanguageSelector::Option @dropdownMenu={{currency-dropdown-menu}} @locale={{locale}} />
    {{/each}}

  </currency-dropdown.menu>
</@nav.dropdown>